org.apache.avro.ipc

## Class SocketServer

- java.lang.Object
- - java.lang.Thread
  - - org.apache.avro.ipc.SocketServer

All Implemented Interfaces:
  Runnable, Server

Direct Known Subclasses:
  SaslSocketServer

Deprecated.
use `SaslSocketServer` instead.

    @Deprecated
    public class SocketServer
    extends Thread
    implements Server

A socket-based server implementation. This uses a simple, non-standard wire protocol and is not intended for production services.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`SocketServer(Responder responder, SocketAddress addr)` Deprecated.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`void` `close()` Deprecated. Stop this server.
`int` `getPort()` Deprecated. The port this server runs on.
`protected Transceiver` `getTransceiver(SocketChannel channel)` Deprecated. Creates an appropriate `Transceiver` for this server.
`static void` `main(String[] arg)` Deprecated.
`void` `run()` Deprecated.

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.avro.ipc.Server

`join, start`

### Constructor Detail

#### SocketServer

    public SocketServer(Responder responder,
                        SocketAddress addr)
                 throws IOException

Deprecated.

Throws:
  `IOException`

### Method Detail

#### getPort

    public int getPort()

Deprecated.
Description copied from interface: `Server`
The port this server runs on.

Specified by:
  `getPort` in interface `Server`

#### run

    public void run()

Deprecated.

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

#### close

    public void close()

Deprecated.
Description copied from interface: `Server`
Stop this server.

Specified by:
  `close` in interface `Server`

#### getTransceiver

    protected Transceiver getTransceiver(SocketChannel channel)
                                  throws IOException

Deprecated.
Creates an appropriate `Transceiver` for this server. Returns a `SocketTransceiver` by default.

Throws:
  `IOException`

#### main

    public static void main(String[] arg)
                     throws Exception

Deprecated.

Throws:
  `Exception`